<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'thaolx',

    /*
     * Package.
     */
    'package'   => 'trial_package',

    /*
     * Modules.
     */
    'modules'   => ['trialpackage'],

    'image'    => [

        'sm' => [
            'width'     => '140',
            'height'    => '140',
            'action'    => 'fit',
            'watermark' => 'img/logo/default.png',
        ],

        'md' => [
            'width'     => '370',
            'height'    => '420',
            'action'    => 'fit',
            'watermark' => 'img/logo/default.png',
        ],

        'lg' => [
            'width'     => '780',
            'height'    => '497',
            'action'    => 'fit',
            'watermark' => 'img/logo/default.png',
        ],
        'xl' => [
            'width'     => '800',
            'height'    => '530',
            'action'    => 'fit',
            'watermark' => 'img/logo/default.png',
        ],

    ],

    
    'trialpackage'       => [
        'model'                 => 'Thaolx\TrialPackage\Models\Trialpackage',
        'table'                 => 'trialpackages',
        'presenter'             => \Thaolx\TrialPackage\Repositories\Presenter\TrialpackageItemPresenter::class,
        'hidden'                => [],
        'visible'               => [],
        'guarded'               => ['*'],
        'slugs'                 => ['slug' => 'name'],
        'dates'                 => ['deleted_at'],
        'appends'               => [],
        'fillable'              => ['user_id', 'id'],
        'translatables'         => ['id'],
        'upload_folder'         => 'trial_package/trialpackage',
        'uploads'               => [],
        'casts'                 => [],
        'revision'              => [],
        'perPage'               => '20',
        'search'        => [
            'name'  => 'like',
            'status',
        ],

        'workflow'      => [
            'points' => [
                'start' => 'draft',
                'end'   => ['delete'],
            ],
            'steps'  => [
                'draft'     => [
                    'label'  => "Trialpackage created",
                    'action' => ['setStatus', 'draft'],
                    'next'   => ['complete'],
                ],
                'complete'  => [
                    'label'  => "Trialpackage completed",
                    'status' => ['setStatus', 'complete'],
                    'next'   => ['verify'],
                ],
                'verify'    => [
                    'label'  => "Trialpackage verified",
                    'action' => ['setStatus', 'verify'],
                    'next'   => ['approve'],
                ],
                'approve'   => [
                    'label'  => "Trialpackage approved",
                    'action' => ['setStatus', 'approve'],
                    'next'   => ['publish'],
                ],
                'publish'   => [
                    'label'  => "Trialpackage published",
                    'action' => ['setStatus', 'publish'],
                    'next'   => ['unpublish', 'delete', 'target', 'archive'],
                ],
                'unpublish' => [
                    'label'  => "Trialpackage unpublished",
                    'action' => ['setStatus', 'unpublish'],
                    'next'   => ['publish', 'target', 'archive', 'delete'],
                ],
                'archive'   => [
                    'label'  => "Trialpackage archived",
                    'action' => ['setStatus', 'archive'],
                    'next'   => ['publish', 'delete'],
                ],
                'delete'    => [
                    'Label'  => "Trialpackage deleted",
                    'status' => ['delete', 'archive'],
                ],
            ],
        ],

    ],
];
