<?php

namespace Thaolx\TrialPackage\Providers;

use Litepie\Contracts\Workflow\Workflow as WorkflowContract;
use Litepie\Foundation\Support\Providers\WorkflowServiceProvider as ServiceProvider;

class WorkflowServiceProvider extends ServiceProvider
{
    /**
     * The validators mappings for the package.
     *
     * @var array
     */
    protected $validators = [
        
        // Bind Trialpackage workflow validator
        'Thaolx\TrialPackage\Models\Trialpackage' => \Thaolx\TrialPackage\Workflow\TrialpackageValidator::class,
    ];

    /**
     * The actions mappings for the package.
     *
     * @var array
     */
    protected $actions = [
        
        // Bind Trialpackage workflow actions
        'Thaolx\TrialPackage\Models\Trialpackage' => \Thaolx\TrialPackage\Workflow\TrialpackageAction::class,
    ];

    /**
     * The notifiers mappings for the package.
     *
     * @var array
     */
    protected $notifiers = [
       
        // Bind Trialpackage workflow notifiers
        'Thaolx\TrialPackage\Models\Trialpackage' => \Thaolx\TrialPackage\Workflow\TrialpackageNotifier::class,
    ];

    /**
     * Register any package workflow validation services.
     *
     * @param \Litepie\Contracts\Workflow\Workflow $workflow
     *
     * @return void
     */
    public function boot(WorkflowContract $workflow)
    {
        parent::registerValidators($workflow);
        parent::registerActions($workflow);
        parent::registerNotifiers($workflow);
    }
}
