<?php

namespace Thaolx\TrialPackage;

use User;

class TrialPackage
{
    /**
     * $trialpackage object.
     */
    protected $trialpackage;

    /**
     * Constructor.
     */
    public function __construct(\Thaolx\TrialPackage\Interfaces\TrialpackageRepositoryInterface $trialpackage)
    {
        $this->trialpackage = $trialpackage;
    }

    /**
     * Returns count of trial_package.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.trialpackage.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->trialpackage->pushCriteria(new \Litepie\Thaolx\Repositories\Criteria\TrialpackageUserCriteria());
        }

        $trialpackage = $this->trialpackage->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('trial_package::' . $view, compact('trialpackage'))->render();
    }
}
