<?php

namespace Thaolx\TrialPackage\Workflow;

use Thaolx\TrialPackage\Models\Trialpackage;
use Thaolx\TrialPackage\Notifications\TrialpackageWorkflow as TrialpackageNotifyer;
use Notification;

class TrialpackageNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param Trialpackage $trialpackage
     *
     * @return void
     */
    public function complete(Trialpackage $trialpackage)
    {
        return Notification::send($trialpackage->user, new TrialpackageNotifyer($trialpackage, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param Trialpackage $trialpackage
     *
     * @return void
     */
    public function verify(Trialpackage $trialpackage)
    {
        return Notification::send($trialpackage->user, new TrialpackageNotifyer($trialpackage, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param Trialpackage $trialpackage
     *
     * @return void
     */
    public function approve(Trialpackage $trialpackage)
    {
        return Notification::send($trialpackage->user, new TrialpackageNotifyer($trialpackage, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param Trialpackage $trialpackage
     *
     * @return void
     */
    public function publish(Trialpackage $trialpackage)
    {
        return Notification::send($trialpackage->user, new TrialpackageNotifyer($trialpackage, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param Trialpackage $trialpackage
     *
     * @return void
     */
    public function archive(Trialpackage $trialpackage)
    {
        return Notification::send($trialpackage->user, new TrialpackageNotifyer($trialpackage, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param Trialpackage $trialpackage
     *
     * @return void
     */
    public function unpublish(Trialpackage $trialpackage)
    {
        return Notification::send($trialpackage->user, new TrialpackageNotifyer($trialpackage, 'unpublish'));;

    }
}
